
package de.ivu.elect.presentation.geodata.exchange;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.exchange.control.AbstractExporter;
import de.ivu.elect.business.exchange.control.NoContext;
import de.ivu.elect.business.geodata.boundary.GeodataOrtExporter;
import de.ivu.elect.business.geodata.entity.GeodataOrt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractExportSearchView;
import de.ivu.elect.presentation.exchange.ExportDescription;

@Named(GeodataOrtExportView.COMPONENT_NAME)
@View(viewId = GeodataOrtExportView.VIEW_ID, useCase = UseCasePermission.GEODATA_ORT_EXPORTIEREN)
public class GeodataOrtExportView extends AbstractExportSearchView<List<GeodataOrt>, NoContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "geodataOrtExportView";

  public static final String VIEW_ID = "/geodata/geodata-ort-export.xhtml";

  @Inject
  private transient GeodataOrtExporter exporter;

  @Inject
  private transient GeodataOrtExportDescription exportDescription;

  public GeodataOrtExportView() {
    super();
  }

  @Override
  protected AbstractExporter<List<GeodataOrt>, NoContext> getExporter() {
    return exporter;
  }

  @Override
  protected NoContext getContext() {
    return NoContext.NO_CONTEXT;
  }

  @Override
  public ExportDescription getExportDescription() {
    return exportDescription;
  }
}
